<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:36 UTC 2019 -->
<title>MapView (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapView (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapTransitLayer.Mode.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapView.html" target="_top">Frames</a></li>
<li><a href="MapView.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.mapping</div>
<h2 title="Class MapView" class="title">Class MapView</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>android.view.View</li>
<li>
<ul class="inheritance">
<li>android.view.ViewGroup</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.mapping.MapView</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>android.graphics.drawable.Drawable.Callback, android.view.accessibility.AccessibilityEventSource, android.view.KeyEvent.Callback, android.view.ViewManager, android.view.ViewParent, com.nokia.maps.MapUi</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/VenueMapView.html" title="class in com.here.android.mpa.venues3d">VenueMapView</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MapView</span>
extends android.view.ViewGroup
implements com.nokia.maps.MapUi</pre>
<div class="block">Represents a map view. This is the "View" UI class designed to handle all UI-related use cases,
 including rendering and screen touch events.

 <p>
 Each <code>MapView</code> must be bound to a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>, and map-related objects should be persisted
 during application runtime. <code>MapView</code> objects live and expire according to the associated
 activity's lifecycle.
 </p>
 <p>
 A <code>MapView</code> is defined in an Android layout XML file. For example:
 </p>

 <pre>
 
   &lt;com.here.android.mpa.mapping.MapView
       android:id="@+id/mapview"
       android:layout_width="fill_parent"
       android:layout_height="fill_parent"
       android:visibility="visible"/&gt;
 
 </pre>

 <p>
 Each <code>MapView</code> should follow the regular android lifecycle. When an activity's
 <code>onResume()</code> and <code>onPause()</code> are called, the view should also be notified via calls
 from within those methods. Please take care in how much processing is done in the
 <code>onResume()</code> method of an activity. Performing significant amounts of processing may delay
 the view rendering in cases such as device orientation change. It is recommended to use a
 specifically designated handler for organizing the amount of processing to be done in such cases.
 </p>
 <p>
 Note that <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a> does not notify the <a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a> when it is paused or resumed.
 User of <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a> is responsible for handling the pausing and resuming of the
 <a href="../../../../../com/here/android/mpa/common/MapEngine.html" title="class in com.here.android.mpa.common"><code>MapEngine</code></a> if needed.
 </p>
 <p>
 Although this class inherits from <code>ViewGroup</code>, it is not advisable for users to add
 children to <code>MapView</code> as no layout actions will be performed on any added children views.
 </p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/view/ViewGroup.html" target="_blank">android.view.ViewGroup</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping">MapView.IconGestureListener</a></span></code>
<div class="block">Encapsulates user interactions with icons on map.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.android.view.ViewGroup">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class android.view.ViewGroup</h3>
<code>android.view.ViewGroup.LayoutParams, android.view.ViewGroup.MarginLayoutParams, android.view.ViewGroup.OnHierarchyChangeListener</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.android.view.View">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class android.view.View</h3>
<code>android.view.View.AccessibilityDelegate, android.view.View.BaseSavedState, android.view.View.DragShadowBuilder, android.view.View.MeasureSpec, android.view.View.OnApplyWindowInsetsListener, android.view.View.OnAttachStateChangeListener, android.view.View.OnCapturedPointerListener, android.view.View.OnClickListener, android.view.View.OnContextClickListener, android.view.View.OnCreateContextMenuListener, android.view.View.OnDragListener, android.view.View.OnFocusChangeListener, android.view.View.OnGenericMotionListener, android.view.View.OnHoverListener, android.view.View.OnKeyListener, android.view.View.OnLayoutChangeListener, android.view.View.OnLongClickListener, android.view.View.OnScrollChangeListener, android.view.View.OnSystemUiVisibilityChangeListener, android.view.View.OnTouchListener, android.view.View.OnUnhandledKeyEventListener</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected android.util.AttributeSet</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#m_attrs">m_attrs</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../com/here/android/mpa/mapping/MapScreenMarker.html" title="class in com.here.android.mpa.mapping">MapScreenMarker</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#m_copyrightLogoMarker">m_copyrightLogoMarker</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#m_copyrightLogoVisible">m_copyrightLogoVisible</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected android.content.Context</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#m_ctx">m_ctx</a></span></code> </td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected android.view.View</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#m_viewImpl">m_viewImpl</a></span></code> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected com.nokia.maps.MapProxy</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#m_viewProxy">m_viewProxy</a></span></code> </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.view.ViewGroup">
<!--   -->
</a>
<h3>Fields inherited from class android.view.ViewGroup</h3>
<code>CLIP_TO_PADDING_MASK, FOCUS_AFTER_DESCENDANTS, FOCUS_BEFORE_DESCENDANTS, FOCUS_BLOCK_DESCENDANTS, LAYOUT_MODE_CLIP_BOUNDS, LAYOUT_MODE_OPTICAL_BOUNDS, PERSISTENT_ALL_CACHES, PERSISTENT_ANIMATION_CACHE, PERSISTENT_NO_CACHE, PERSISTENT_SCROLLING_CACHE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.view.View">
<!--   -->
</a>
<h3>Fields inherited from class android.view.View</h3>
<code>ACCESSIBILITY_LIVE_REGION_ASSERTIVE, ACCESSIBILITY_LIVE_REGION_NONE, ACCESSIBILITY_LIVE_REGION_POLITE, ALPHA, AUTOFILL_FLAG_INCLUDE_NOT_IMPORTANT_VIEWS, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_DATE, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_DAY, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_MONTH, AUTOFILL_HINT_CREDIT_CARD_EXPIRATION_YEAR, AUTOFILL_HINT_CREDIT_CARD_NUMBER, AUTOFILL_HINT_CREDIT_CARD_SECURITY_CODE, AUTOFILL_HINT_EMAIL_ADDRESS, AUTOFILL_HINT_NAME, AUTOFILL_HINT_PASSWORD, AUTOFILL_HINT_PHONE, AUTOFILL_HINT_POSTAL_ADDRESS, AUTOFILL_HINT_POSTAL_CODE, AUTOFILL_HINT_USERNAME, AUTOFILL_TYPE_DATE, AUTOFILL_TYPE_LIST, AUTOFILL_TYPE_NONE, AUTOFILL_TYPE_TEXT, AUTOFILL_TYPE_TOGGLE, DRAG_FLAG_GLOBAL, DRAG_FLAG_GLOBAL_PERSISTABLE_URI_PERMISSION, DRAG_FLAG_GLOBAL_PREFIX_URI_PERMISSION, DRAG_FLAG_GLOBAL_URI_READ, DRAG_FLAG_GLOBAL_URI_WRITE, DRAG_FLAG_OPAQUE, DRAWING_CACHE_QUALITY_AUTO, DRAWING_CACHE_QUALITY_HIGH, DRAWING_CACHE_QUALITY_LOW, EMPTY_STATE_SET, ENABLED_FOCUSED_SELECTED_STATE_SET, ENABLED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, ENABLED_FOCUSED_STATE_SET, ENABLED_FOCUSED_WINDOW_FOCUSED_STATE_SET, ENABLED_SELECTED_STATE_SET, ENABLED_SELECTED_WINDOW_FOCUSED_STATE_SET, ENABLED_STATE_SET, ENABLED_WINDOW_FOCUSED_STATE_SET, FIND_VIEWS_WITH_CONTENT_DESCRIPTION, FIND_VIEWS_WITH_TEXT, FOCUS_BACKWARD, FOCUS_DOWN, FOCUS_FORWARD, FOCUS_LEFT, FOCUS_RIGHT, FOCUS_UP, FOCUSABLE, FOCUSABLE_AUTO, FOCUSABLES_ALL, FOCUSABLES_TOUCH_MODE, FOCUSED_SELECTED_STATE_SET, FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, FOCUSED_STATE_SET, FOCUSED_WINDOW_FOCUSED_STATE_SET, GONE, HAPTIC_FEEDBACK_ENABLED, IMPORTANT_FOR_ACCESSIBILITY_AUTO, IMPORTANT_FOR_ACCESSIBILITY_NO, IMPORTANT_FOR_ACCESSIBILITY_NO_HIDE_DESCENDANTS, IMPORTANT_FOR_ACCESSIBILITY_YES, IMPORTANT_FOR_AUTOFILL_AUTO, IMPORTANT_FOR_AUTOFILL_NO, IMPORTANT_FOR_AUTOFILL_NO_EXCLUDE_DESCENDANTS, IMPORTANT_FOR_AUTOFILL_YES, IMPORTANT_FOR_AUTOFILL_YES_EXCLUDE_DESCENDANTS, INVISIBLE, KEEP_SCREEN_ON, LAYER_TYPE_HARDWARE, LAYER_TYPE_NONE, LAYER_TYPE_SOFTWARE, LAYOUT_DIRECTION_INHERIT, LAYOUT_DIRECTION_LOCALE, LAYOUT_DIRECTION_LTR, LAYOUT_DIRECTION_RTL, MEASURED_HEIGHT_STATE_SHIFT, MEASURED_SIZE_MASK, MEASURED_STATE_MASK, MEASURED_STATE_TOO_SMALL, NO_ID, NOT_FOCUSABLE, OVER_SCROLL_ALWAYS, OVER_SCROLL_IF_CONTENT_SCROLLS, OVER_SCROLL_NEVER, PRESSED_ENABLED_FOCUSED_SELECTED_STATE_SET, PRESSED_ENABLED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_FOCUSED_STATE_SET, PRESSED_ENABLED_FOCUSED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_SELECTED_STATE_SET, PRESSED_ENABLED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_ENABLED_STATE_SET, PRESSED_ENABLED_WINDOW_FOCUSED_STATE_SET, PRESSED_FOCUSED_SELECTED_STATE_SET, PRESSED_FOCUSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_FOCUSED_STATE_SET, PRESSED_FOCUSED_WINDOW_FOCUSED_STATE_SET, PRESSED_SELECTED_STATE_SET, PRESSED_SELECTED_WINDOW_FOCUSED_STATE_SET, PRESSED_STATE_SET, PRESSED_WINDOW_FOCUSED_STATE_SET, ROTATION, ROTATION_X, ROTATION_Y, SCALE_X, SCALE_Y, SCREEN_STATE_OFF, SCREEN_STATE_ON, SCROLL_AXIS_HORIZONTAL, SCROLL_AXIS_NONE, SCROLL_AXIS_VERTICAL, SCROLL_INDICATOR_BOTTOM, SCROLL_INDICATOR_END, SCROLL_INDICATOR_LEFT, SCROLL_INDICATOR_RIGHT, SCROLL_INDICATOR_START, SCROLL_INDICATOR_TOP, SCROLLBAR_POSITION_DEFAULT, SCROLLBAR_POSITION_LEFT, SCROLLBAR_POSITION_RIGHT, SCROLLBARS_INSIDE_INSET, SCROLLBARS_INSIDE_OVERLAY, SCROLLBARS_OUTSIDE_INSET, SCROLLBARS_OUTSIDE_OVERLAY, SELECTED_STATE_SET, SELECTED_WINDOW_FOCUSED_STATE_SET, SOUND_EFFECTS_ENABLED, STATUS_BAR_HIDDEN, STATUS_BAR_VISIBLE, SYSTEM_UI_FLAG_FULLSCREEN, SYSTEM_UI_FLAG_HIDE_NAVIGATION, SYSTEM_UI_FLAG_IMMERSIVE, SYSTEM_UI_FLAG_IMMERSIVE_STICKY, SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN, SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION, SYSTEM_UI_FLAG_LAYOUT_STABLE, SYSTEM_UI_FLAG_LIGHT_NAVIGATION_BAR, SYSTEM_UI_FLAG_LIGHT_STATUS_BAR, SYSTEM_UI_FLAG_LOW_PROFILE, SYSTEM_UI_FLAG_VISIBLE, SYSTEM_UI_LAYOUT_FLAGS, TEXT_ALIGNMENT_CENTER, TEXT_ALIGNMENT_GRAVITY, TEXT_ALIGNMENT_INHERIT, TEXT_ALIGNMENT_TEXT_END, TEXT_ALIGNMENT_TEXT_START, TEXT_ALIGNMENT_VIEW_END, TEXT_ALIGNMENT_VIEW_START, TEXT_DIRECTION_ANY_RTL, TEXT_DIRECTION_FIRST_STRONG, TEXT_DIRECTION_FIRST_STRONG_LTR, TEXT_DIRECTION_FIRST_STRONG_RTL, TEXT_DIRECTION_INHERIT, TEXT_DIRECTION_LOCALE, TEXT_DIRECTION_LTR, TEXT_DIRECTION_RTL, TRANSLATION_X, TRANSLATION_Y, TRANSLATION_Z, VIEW_LOG_TAG, VISIBLE, WINDOW_FOCUSED_STATE_SET, X, Y, Z</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#MapView-android.content.Context-">MapView</a></span>(android.content.Context context)</code>
<div class="block">Constructor that initializes the context.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#MapView-android.content.Context-android.util.AttributeSet-">MapView</a></span>(android.content.Context context,
       android.util.AttributeSet attrs)</code>
<div class="block">Constructor that initializes the context and a set of attributes.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#addIconGestureListener-com.here.android.mpa.mapping.MapView.IconGestureListener-">addIconGestureListener</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping">MapView.IconGestureListener</a> listener)</code>
<div class="block">Adds a <a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping"><code>MapView.IconGestureListener</code></a> to listen for icon events.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#addOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-">addOnMapRenderListener</a></span>(<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a> listener)</code>
<div class="block">Adds a <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a> to listen for map render events.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#dispatchRestoreInstanceState-android.util.SparseArray-">dispatchRestoreInstanceState</a></span>(android.util.SparseArray&lt;android.os.Parcelable&gt; container)</code>
<div class="block">Override to prevent thawing of any child views.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#dispatchSaveInstanceState-android.util.SparseArray-">dispatchSaveInstanceState</a></span>(android.util.SparseArray&lt;android.os.Parcelable&gt; container)</code>
<div class="block">Override to prevent freezing of any child views.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block">Gets the <code>ViewRect</code> representing the clip rectangle for the <code>MapView</code>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>android.graphics.Rect</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getCopyrightBoundaryRect--">getCopyrightBoundaryRect</a></span>()</code>
<div class="block">Gets the current rectangle relative to the <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a>'s boundary as a container for the
 HERE copyright logo.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getCopyrightLogoHeight--">getCopyrightLogoHeight</a></span>()</code>
<div class="block">Gets the height of the copyright logo.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getCopyrightLogoPosition--">getCopyrightLogoPosition</a></span>()</code>
<div class="block">Gets the current position for the HERE copyright logo.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getCopyrightLogoVisibility--">getCopyrightLogoVisibility</a></span>()</code>
<div class="block">Gets the visibility of the HERE copyright logo.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getCopyrightLogoWidth--">getCopyrightLogoWidth</a></span>()</code>
<div class="block">Gets the width of the copyright logo.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getCopyrightMargin--">getCopyrightMargin</a></span>()</code>
<div class="block">Gets the current margin, in pixels, for the HERE copyright logo, an offset from the edge of
 the visible map area to the edge of the logo.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getMap--">getMap</a></span>()</code>
<div class="block">Returns the instance of <code>Map</code> associated with this MapView</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping">MapGesture</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getMapGesture--">getMapGesture</a></span>()</code>
<div class="block">Gets the <code>MapGesture</code> representing the current gesture handler for the <code>MapView</code>.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getPositionIndicator--">getPositionIndicator</a></span>()</code>
<div class="block">Returns the <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping"><code>PositionIndicator</code></a> instance
 that renders the current position with a marker.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getScreenCapture-com.here.android.mpa.common.OnScreenCaptureListener-">getScreenCapture</a></span>(<a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common">OnScreenCaptureListener</a> listener)</code>
<div class="block">Gets the full screen bitmap for the <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a>.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#onLayout-boolean-int-int-int-int-">onLayout</a></span>(boolean changed,
        int left,
        int top,
        int right,
        int bottom)</code> </td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#onMeasure-int-int-">onMeasure</a></span>(int widthMeasureSpec,
         int heightMeasureSpec)</code> </td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#onPause--">onPause</a></span>()</code>
<div class="block">Propagates an activity's <code>onPause()</code> event to the view.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#onRestoreInstanceState-android.os.Parcelable-">onRestoreInstanceState</a></span>(android.os.Parcelable state)</code>
<div class="block">Callback indicating that a stored view state was restored (e.g.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#onResume--">onResume</a></span>()</code>
<div class="block">Propagates an activity's <code>onResume()</code> event to the view.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>android.os.Parcelable</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#onSaveInstanceState--">onSaveInstanceState</a></span>()</code>
<div class="block">Callback indicating that the internal state of a view was saved for later use (e.g.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#removeIconGestureListener-com.here.android.mpa.mapping.MapView.IconGestureListener-">removeIconGestureListener</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping">MapView.IconGestureListener</a> listener)</code>
<div class="block">Removes an existing <a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping"><code>MapView.IconGestureListener</code></a>.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#removeOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-">removeOnMapRenderListener</a></span>(<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a> listener)</code>
<div class="block">Removes an existing <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a>.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block">Sets a clipping rectangle to the <code>MapView</code>.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block">Sets a clipping rectangle to the <code>MapView</code>.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setCopyrightBoundaryRect-android.graphics.Rect-">setCopyrightBoundaryRect</a></span>(android.graphics.Rect rect)</code>
<div class="block">Sets a rectangle, in pixels, relative to the top left corner of the <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a>'s
 boundary, for the placement of the HERE copyright logo.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setCopyrightLogoPosition-com.here.android.mpa.common.CopyrightLogoPosition-">setCopyrightLogoPosition</a></span>(<a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a> position)</code>
<div class="block">Sets a position for the HERE copyright logo.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setCopyrightMargin-int-">setCopyrightMargin</a></span>(int margin)</code>
<div class="block">Sets a margin, in pixels, for the HERE copyright logo, an offset from the edge of the visible
 map area (or copyright boundary rect, if used) to the edge of the logo (depending on the
 placement).</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setMap-com.here.android.mpa.mapping.Map-">setMap</a></span>(<a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a> aMap)</code>
<div class="block">Associates the graphical view element with a <code>Map</code>.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setMapMarkerDragListener-com.here.android.mpa.mapping.MapMarker.OnDragListener-">setMapMarkerDragListener</a></span>(<a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping">MapMarker.OnDragListener</a> listener)</code>
<div class="block">Sets a <a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><code>MapMarker.OnDragListener</code></a> to be invoked whenever any <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a> added
 onto a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> that is attached to this <code>MapView</code> is dragged.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setOnTouchListener-android.view.View.OnTouchListener-">setOnTouchListener</a></span>(android.view.View.OnTouchListener listener)</code>
<div class="block">Sets an <code>OnTouchListener</code> to be invoked whenever a touch event is sent to the
 <code>MapView</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.view.ViewGroup">
<!--   -->
</a>
<h3>Methods inherited from class android.view.ViewGroup</h3>
<code>addChildrenForAccessibility, addFocusables, addKeyboardNavigationClusters, addStatesFromChildren, addTouchables, addView, addView, addView, addView, addView, addViewInLayout, addViewInLayout, attachLayoutAnimationParameters, attachViewToParent, bringChildToFront, canAnimate, checkLayoutParams, childDrawableStateChanged, childHasTransientStateChanged, cleanupLayoutState, clearChildFocus, clearDisappearingChildren, clearFocus, debug, detachAllViewsFromParent, detachViewFromParent, detachViewFromParent, detachViewsFromParent, dispatchApplyWindowInsets, dispatchCapturedPointerEvent, dispatchConfigurationChanged, dispatchDisplayHint, dispatchDragEvent, dispatchDraw, dispatchDrawableHotspotChanged, dispatchFinishTemporaryDetach, dispatchFreezeSelfOnly, dispatchGenericFocusedEvent, dispatchGenericPointerEvent, dispatchHoverEvent, dispatchKeyEvent, dispatchKeyEventPreIme, dispatchKeyShortcutEvent, dispatchPointerCaptureChanged, dispatchProvideAutofillStructure, dispatchProvideStructure, dispatchSetActivated, dispatchSetPressed, dispatchSetSelected, dispatchStartTemporaryDetach, dispatchSystemUiVisibilityChanged, dispatchThawSelfOnly, dispatchTouchEvent, dispatchTrackballEvent, dispatchUnhandledMove, dispatchVisibilityChanged, dispatchWindowFocusChanged, dispatchWindowSystemUiVisiblityChanged, dispatchWindowVisibilityChanged, drawableStateChanged, drawChild, endViewTransition, findFocus, findViewsWithText, focusableViewAvailable, focusSearch, gatherTransparentRegion, generateDefaultLayoutParams, generateLayoutParams, generateLayoutParams, getAccessibilityClassName, getChildAt, getChildCount, getChildDrawingOrder, getChildDrawingOrder, getChildMeasureSpec, getChildStaticTransformation, getChildVisibleRect, getClipChildren, getClipToPadding, getDescendantFocusability, getFocusedChild, getLayoutAnimation, getLayoutAnimationListener, getLayoutMode, getLayoutTransition, getNestedScrollAxes, getOverlay, getPersistentDrawingCache, getTouchscreenBlocksFocus, hasFocus, hasTransientState, indexOfChild, invalidateChild, invalidateChildInParent, isAlwaysDrawnWithCacheEnabled, isAnimationCacheEnabled, isChildrenDrawingOrderEnabled, isChildrenDrawnWithCacheEnabled, isLayoutSuppressed, isMotionEventSplittingEnabled, isTransitionGroup, jumpDrawablesToCurrentState, layout, measureChild, measureChildren, measureChildWithMargins, notifySubtreeAccessibilityStateChanged, offsetDescendantRectToMyCoords, offsetRectIntoDescendantCoords, onAttachedToWindow, onCreateDrawableState, onDescendantInvalidated, onDetachedFromWindow, onInterceptHoverEvent, onInterceptTouchEvent, onNestedFling, onNestedPreFling, onNestedPrePerformAccessibilityAction, onNestedPreScroll, onNestedScroll, onNestedScrollAccepted, onRequestFocusInDescendants, onRequestSendAccessibilityEvent, onResolvePointerIcon, onStartNestedScroll, onStopNestedScroll, onViewAdded, onViewRemoved, recomputeViewAttributes, removeAllViews, removeAllViewsInLayout, removeDetachedView, removeView, removeViewAt, removeViewInLayout, removeViews, removeViewsInLayout, requestChildFocus, requestChildRectangleOnScreen, requestDisallowInterceptTouchEvent, requestFocus, requestSendAccessibilityEvent, requestTransparentRegion, restoreDefaultFocus, scheduleLayoutAnimation, setAddStatesFromChildren, setAlwaysDrawnWithCacheEnabled, setAnimationCacheEnabled, setChildrenDrawingCacheEnabled, setChildrenDrawingOrderEnabled, setChildrenDrawnWithCacheEnabled, setClipChildren, setClipToPadding, setDescendantFocusability, setLayoutAnimation, setLayoutAnimationListener, setLayoutMode, setLayoutTransition, setMotionEventSplittingEnabled, setOnHierarchyChangeListener, setPersistentDrawingCache, setStaticTransformationsEnabled, setTouchscreenBlocksFocus, setTransitionGroup, shouldDelayChildPressedState, showContextMenuForChild, showContextMenuForChild, startActionModeForChild, startActionModeForChild, startLayoutAnimation, startViewTransition, suppressLayout, updateViewLayout</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.view.View">
<!--   -->
</a>
<h3>Methods inherited from class android.view.View</h3>
<code>addExtraDataToAccessibilityNodeInfo, addFocusables, addOnAttachStateChangeListener, addOnLayoutChangeListener, addOnUnhandledKeyEventListener, animate, announceForAccessibility, autofill, autofill, awakenScrollBars, awakenScrollBars, awakenScrollBars, bringToFront, buildDrawingCache, buildDrawingCache, buildLayer, callOnClick, cancelDragAndDrop, cancelLongPress, cancelPendingInputEvents, canResolveLayoutDirection, canResolveTextAlignment, canResolveTextDirection, canScrollHorizontally, canScrollVertically, checkInputConnectionProxy, clearAnimation, combineMeasuredStates, computeHorizontalScrollExtent, computeHorizontalScrollOffset, computeHorizontalScrollRange, computeScroll, computeSystemWindowInsets, computeVerticalScrollExtent, computeVerticalScrollOffset, computeVerticalScrollRange, createAccessibilityNodeInfo, createContextMenu, destroyDrawingCache, dispatchGenericMotionEvent, dispatchNestedFling, dispatchNestedPreFling, dispatchNestedPrePerformAccessibilityAction, dispatchNestedPreScroll, dispatchNestedScroll, dispatchPopulateAccessibilityEvent, draw, drawableHotspotChanged, findViewById, findViewWithTag, fitSystemWindows, focusSearch, forceHasOverlappingRendering, forceLayout, generateViewId, getAccessibilityDelegate, getAccessibilityLiveRegion, getAccessibilityNodeProvider, getAccessibilityPaneTitle, getAccessibilityTraversalAfter, getAccessibilityTraversalBefore, getAlpha, getAnimation, getAnimationMatrix, getApplicationWindowToken, getAttributeResolutionStack, getAttributeSourceResourceMap, getAutofillHints, getAutofillId, getAutofillType, getAutofillValue, getBackground, getBackgroundTintBlendMode, getBackgroundTintList, getBackgroundTintMode, getBaseline, getBottom, getBottomFadingEdgeStrength, getBottomPaddingOffset, getCameraDistance, getClipBounds, getClipBounds, getClipToOutline, getContentCaptureSession, getContentDescription, getContext, getContextMenuInfo, getDefaultFocusHighlightEnabled, getDefaultSize, getDisplay, getDrawableState, getDrawingCache, getDrawingCache, getDrawingCacheBackgroundColor, getDrawingCacheQuality, getDrawingRect, getDrawingTime, getElevation, getExplicitStyle, getFilterTouchesWhenObscured, getFitsSystemWindows, getFocusable, getFocusables, getFocusedRect, getForeground, getForegroundGravity, getForegroundTintBlendMode, getForegroundTintList, getForegroundTintMode, getGlobalVisibleRect, getGlobalVisibleRect, getHandler, getHasOverlappingRendering, getHeight, getHitRect, getHorizontalFadingEdgeLength, getHorizontalScrollbarHeight, getHorizontalScrollbarThumbDrawable, getHorizontalScrollbarTrackDrawable, getId, getImportantForAccessibility, getImportantForAutofill, getKeepScreenOn, getKeyDispatcherState, getLabelFor, getLayerType, getLayoutDirection, getLayoutParams, getLeft, getLeftFadingEdgeStrength, getLeftPaddingOffset, getLocalVisibleRect, getLocationInSurface, getLocationInWindow, getLocationOnScreen, getMatrix, getMeasuredHeight, getMeasuredHeightAndState, getMeasuredState, getMeasuredWidth, getMeasuredWidthAndState, getMinimumHeight, getMinimumWidth, getNextClusterForwardId, getNextFocusDownId, getNextFocusForwardId, getNextFocusLeftId, getNextFocusRightId, getNextFocusUpId, getOnFocusChangeListener, getOutlineAmbientShadowColor, getOutlineProvider, getOutlineSpotShadowColor, getOverScrollMode, getPaddingBottom, getPaddingEnd, getPaddingLeft, getPaddingRight, getPaddingStart, getPaddingTop, getParent, getParentForAccessibility, getPivotX, getPivotY, getPointerIcon, getResources, getRevealOnFocusHint, getRight, getRightFadingEdgeStrength, getRightPaddingOffset, getRootView, getRootWindowInsets, getRotation, getRotationX, getRotationY, getScaleX, getScaleY, getScrollBarDefaultDelayBeforeFade, getScrollBarFadeDuration, getScrollBarSize, getScrollBarStyle, getScrollIndicators, getScrollX, getScrollY, getSolidColor, getSourceLayoutResId, getStateListAnimator, getSuggestedMinimumHeight, getSuggestedMinimumWidth, getSystemGestureExclusionRects, getSystemUiVisibility, getTag, getTag, getTextAlignment, getTextDirection, getTooltipText, getTop, getTopFadingEdgeStrength, getTopPaddingOffset, getTouchables, getTouchDelegate, getTransitionAlpha, getTransitionName, getTranslationX, getTranslationY, getTranslationZ, getUniqueDrawingId, getVerticalFadingEdgeLength, getVerticalScrollbarPosition, getVerticalScrollbarThumbDrawable, getVerticalScrollbarTrackDrawable, getVerticalScrollbarWidth, getViewTreeObserver, getVisibility, getWidth, getWindowAttachCount, getWindowId, getWindowSystemUiVisibility, getWindowToken, getWindowVisibility, getWindowVisibleDisplayFrame, getX, getY, getZ, hasExplicitFocusable, hasFocusable, hasNestedScrollingParent, hasOnClickListeners, hasOverlappingRendering, hasPointerCapture, hasWindowFocus, inflate, invalidate, invalidate, invalidate, invalidateDrawable, invalidateOutline, isAccessibilityFocused, isAccessibilityHeading, isActivated, isAttachedToWindow, isClickable, isContextClickable, isDirty, isDrawingCacheEnabled, isDuplicateParentStateEnabled, isEnabled, isFocusable, isFocusableInTouchMode, isFocused, isFocusedByDefault, isForceDarkAllowed, isHapticFeedbackEnabled, isHardwareAccelerated, isHorizontalFadingEdgeEnabled, isHorizontalScrollBarEnabled, isHovered, isImportantForAccessibility, isImportantForAutofill, isInEditMode, isInLayout, isInTouchMode, isKeyboardNavigationCluster, isLaidOut, isLayoutDirectionResolved, isLayoutRequested, isLongClickable, isNestedScrollingEnabled, isOpaque, isPaddingOffsetRequired, isPaddingRelative, isPivotSet, isPressed, isSaveEnabled, isSaveFromParentEnabled, isScreenReaderFocusable, isScrollbarFadingEnabled, isScrollContainer, isSelected, isShown, isSoundEffectsEnabled, isTemporarilyDetached, isTextAlignmentResolved, isTextDirectionResolved, isVerticalFadingEdgeEnabled, isVerticalScrollBarEnabled, isVisibleToUserForAutofill, keyboardNavigationClusterSearch, measure, mergeDrawableStates, offsetLeftAndRight, offsetTopAndBottom, onAnimationEnd, onAnimationStart, onApplyWindowInsets, onCancelPendingInputEvents, onCapturedPointerEvent, onCheckIsTextEditor, onConfigurationChanged, onCreateContextMenu, onCreateInputConnection, onDisplayHint, onDragEvent, onDraw, onDrawForeground, onDrawScrollBars, onFilterTouchEventForSecurity, onFinishInflate, onFinishTemporaryDetach, onFocusChanged, onGenericMotionEvent, onHoverChanged, onHoverEvent, onInitializeAccessibilityEvent, onInitializeAccessibilityNodeInfo, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyPreIme, onKeyShortcut, onKeyUp, onOverScrolled, onPointerCaptureChange, onPopulateAccessibilityEvent, onProvideAutofillStructure, onProvideAutofillVirtualStructure, onProvideStructure, onProvideVirtualStructure, onRtlPropertiesChanged, onScreenStateChanged, onScrollChanged, onSetAlpha, onSizeChanged, onStartTemporaryDetach, onTouchEvent, onTrackballEvent, onVisibilityAggregated, onVisibilityChanged, onWindowFocusChanged, onWindowSystemUiVisibilityChanged, onWindowVisibilityChanged, overScrollBy, performAccessibilityAction, performClick, performContextClick, performContextClick, performHapticFeedback, performHapticFeedback, performLongClick, performLongClick, playSoundEffect, post, postDelayed, postInvalidate, postInvalidate, postInvalidateDelayed, postInvalidateDelayed, postInvalidateOnAnimation, postInvalidateOnAnimation, postOnAnimation, postOnAnimationDelayed, refreshDrawableState, releasePointerCapture, removeCallbacks, removeOnAttachStateChangeListener, removeOnLayoutChangeListener, removeOnUnhandledKeyEventListener, requestApplyInsets, requestFitSystemWindows, requestFocus, requestFocus, requestFocusFromTouch, requestLayout, requestPointerCapture, requestRectangleOnScreen, requestRectangleOnScreen, requestUnbufferedDispatch, requireViewById, resetPivot, resolveSize, resolveSizeAndState, restoreHierarchyState, saveAttributeDataForStyleable, saveHierarchyState, scheduleDrawable, scrollBy, scrollTo, sendAccessibilityEvent, sendAccessibilityEventUnchecked, setAccessibilityDelegate, setAccessibilityHeading, setAccessibilityLiveRegion, setAccessibilityPaneTitle, setAccessibilityTraversalAfter, setAccessibilityTraversalBefore, setActivated, setAlpha, setAnimation, setAnimationMatrix, setAutofillHints, setAutofillId, setBackground, setBackgroundColor, setBackgroundDrawable, setBackgroundResource, setBackgroundTintBlendMode, setBackgroundTintList, setBackgroundTintMode, setBottom, setCameraDistance, setClickable, setClipBounds, setClipToOutline, setContentCaptureSession, setContentDescription, setContextClickable, setDefaultFocusHighlightEnabled, setDrawingCacheBackgroundColor, setDrawingCacheEnabled, setDrawingCacheQuality, setDuplicateParentStateEnabled, setElevation, setEnabled, setFadingEdgeLength, setFilterTouchesWhenObscured, setFitsSystemWindows, setFocusable, setFocusable, setFocusableInTouchMode, setFocusedByDefault, setForceDarkAllowed, setForeground, setForegroundGravity, setForegroundTintBlendMode, setForegroundTintList, setForegroundTintMode, setHapticFeedbackEnabled, setHasTransientState, setHorizontalFadingEdgeEnabled, setHorizontalScrollBarEnabled, setHorizontalScrollbarThumbDrawable, setHorizontalScrollbarTrackDrawable, setHovered, setId, setImportantForAccessibility, setImportantForAutofill, setKeepScreenOn, setKeyboardNavigationCluster, setLabelFor, setLayerPaint, setLayerType, setLayoutDirection, setLayoutParams, setLeft, setLeftTopRightBottom, setLongClickable, setMeasuredDimension, setMinimumHeight, setMinimumWidth, setNestedScrollingEnabled, setNextClusterForwardId, setNextFocusDownId, setNextFocusForwardId, setNextFocusLeftId, setNextFocusRightId, setNextFocusUpId, setOnApplyWindowInsetsListener, setOnCapturedPointerListener, setOnClickListener, setOnContextClickListener, setOnCreateContextMenuListener, setOnDragListener, setOnFocusChangeListener, setOnGenericMotionListener, setOnHoverListener, setOnKeyListener, setOnLongClickListener, setOnScrollChangeListener, setOnSystemUiVisibilityChangeListener, setOutlineAmbientShadowColor, setOutlineProvider, setOutlineSpotShadowColor, setOverScrollMode, setPadding, setPaddingRelative, setPivotX, setPivotY, setPointerIcon, setPressed, setRevealOnFocusHint, setRight, setRotation, setRotationX, setRotationY, setSaveEnabled, setSaveFromParentEnabled, setScaleX, setScaleY, setScreenReaderFocusable, setScrollBarDefaultDelayBeforeFade, setScrollBarFadeDuration, setScrollbarFadingEnabled, setScrollBarSize, setScrollBarStyle, setScrollContainer, setScrollIndicators, setScrollIndicators, setScrollX, setScrollY, setSelected, setSoundEffectsEnabled, setStateListAnimator, setSystemGestureExclusionRects, setSystemUiVisibility, setTag, setTag, setTextAlignment, setTextDirection, setTooltipText, setTop, setTouchDelegate, setTransitionAlpha, setTransitionName, setTransitionVisibility, setTranslationX, setTranslationY, setTranslationZ, setVerticalFadingEdgeEnabled, setVerticalScrollBarEnabled, setVerticalScrollbarPosition, setVerticalScrollbarThumbDrawable, setVerticalScrollbarTrackDrawable, setVisibility, setWillNotCacheDrawing, setWillNotDraw, setX, setY, setZ, showContextMenu, showContextMenu, startActionMode, startActionMode, startAnimation, startDrag, startDragAndDrop, startNestedScroll, stopNestedScroll, toString, transformMatrixToGlobal, transformMatrixToLocal, unscheduleDrawable, unscheduleDrawable, updateDragShadow, verifyDrawable, willNotCacheDrawing, willNotDraw</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.view.ViewParent">
<!--   -->
</a>
<h3>Methods inherited from interface android.view.ViewParent</h3>
<code>canResolveLayoutDirection, canResolveTextAlignment, canResolveTextDirection, createContextMenu, getLayoutDirection, getParent, getParentForAccessibility, getTextAlignment, getTextDirection, isLayoutDirectionResolved, isLayoutRequested, isTextAlignmentResolved, isTextDirectionResolved, keyboardNavigationClusterSearch, requestFitSystemWindows, requestLayout</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="m_viewProxy">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_viewProxy</h4>
<pre>protected com.nokia.maps.MapProxy m_viewProxy</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_viewImpl">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_viewImpl</h4>
<pre>protected android.view.View m_viewImpl</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_ctx">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_ctx</h4>
<pre>protected android.content.Context m_ctx</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_attrs">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_attrs</h4>
<pre>protected android.util.AttributeSet m_attrs</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_copyrightLogoMarker">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>m_copyrightLogoMarker</h4>
<pre>protected <a href="../../../../../com/here/android/mpa/mapping/MapScreenMarker.html" title="class in com.here.android.mpa.mapping">MapScreenMarker</a> m_copyrightLogoMarker</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
<a name="m_copyrightLogoVisible">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>m_copyrightLogoVisible</h4>
<pre>protected boolean m_copyrightLogoVisible</pre>
<dl>
<dt><span class="simpleTagLabel">Audience:</span></dt>
<dd>internal</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MapView-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MapView</h4>
<pre>public MapView(android.content.Context context)</pre>
<div class="block">Constructor that initializes the context.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - <code>Context</code> of the <code>MapView</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#MapView-android.content.Context-android.util.AttributeSet-"><code>MapView.MapView(Context, AttributeSet)</code></a>, 
<a href="http://developer.android.com/reference/android/content/Context.html" target="_blank">android.content.Context</a></dd>
</dl>
</li>
</ul>
<a name="MapView-android.content.Context-android.util.AttributeSet-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MapView</h4>
<pre>public MapView(android.content.Context context,
               android.util.AttributeSet attrs)</pre>
<div class="block">Constructor that initializes the context and a set of attributes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - <code>Context</code> of the <code>MapView</code></dd>
<dd><code>attrs</code> - An <code>AttributeSet</code> representing attributes of the <code>MapView</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#MapView-android.content.Context-"><code>MapView.MapView(Context)</code></a>, 
<a href="http://developer.android.com/reference/android/content/Context.html" target="_blank">android.content.Context</a>, 
<a href="http://developer.android.com/reference/android/util/AttributeSet.html" target="_blank">android.util.AttributeSet</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onMeasure-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onMeasure</h4>
<pre>protected void onMeasure(int widthMeasureSpec,
                         int heightMeasureSpec)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onMeasure</code> in class <code>android.view.View</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onLayout-boolean-int-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onLayout</h4>
<pre>protected void onLayout(boolean changed,
                        int left,
                        int top,
                        int right,
                        int bottom)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onLayout</code> in class <code>android.view.ViewGroup</code></dd>
<dt><span class="simpleTagLabel">Override:</span></dt>
</dl>
</li>
</ul>
<a name="onSaveInstanceState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onSaveInstanceState</h4>
<pre>public android.os.Parcelable onSaveInstanceState()</pre>
<div class="block">Callback indicating that the internal state of a view was saved for later use (e.g. to create
 a new <code>MapView</code> with the same state).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onSaveInstanceState</code> in class <code>android.view.View</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <a href="http://developer.android.com/reference/android/os/Parcelable.html" target="_blank">android.os.Parcelable</a> for storing the view state</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/view/View.html#onSaveInstanceState()" target="_blank">android.view.View.onSaveInstanceState()</a></dd>
</dl>
</li>
</ul>
<a name="onRestoreInstanceState-android.os.Parcelable-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onRestoreInstanceState</h4>
<pre>public void onRestoreInstanceState(android.os.Parcelable state)</pre>
<div class="block">Callback indicating that a stored view state was restored (e.g. to create a new
 <code>MapView</code> with the same state).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onRestoreInstanceState</code> in class <code>android.view.View</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - An <a href="http://developer.android.com/reference/android/os/Parcelable.html" target="_blank">android.os.Parcelable</a> in which the view state was stored</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/view/View.html#onRestoreInstanceState(android.os.Parcelable)" target="_blank">android.view.View.onRestoreInstanceState(Parcelable)</a></dd>
</dl>
</li>
</ul>
<a name="dispatchSaveInstanceState-android.util.SparseArray-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dispatchSaveInstanceState</h4>
<pre>protected void dispatchSaveInstanceState(android.util.SparseArray&lt;android.os.Parcelable&gt; container)</pre>
<div class="block">Override to prevent freezing of any child views. As child views created and added to the view
 group dynamically have the same id as the parent, causing conflict when the state is saved,
 all child views are blocked from being saved. Instead, this container will manually trigger
 the save and restore.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>dispatchSaveInstanceState</code> in class <code>android.view.ViewGroup</code></dd>
</dl>
</li>
</ul>
<a name="dispatchRestoreInstanceState-android.util.SparseArray-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dispatchRestoreInstanceState</h4>
<pre>protected void dispatchRestoreInstanceState(android.util.SparseArray&lt;android.os.Parcelable&gt; container)</pre>
<div class="block">Override to prevent thawing of any child views. As child views created and added to the view
 group dynamically have the same id as the parent, causing conflict when the state is saved,
 all child views are blocked from being saved. Instead, this container will manually trigger
 the save and restore.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>dispatchRestoreInstanceState</code> in class <code>android.view.ViewGroup</code></dd>
</dl>
</li>
</ul>
<a name="setMap-com.here.android.mpa.mapping.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMap</h4>
<pre>public void setMap(<a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a> aMap)</pre>
<div class="block">Associates the graphical view element with a <code>Map</code>. Applications must call this method
 to bind the <code>MapView</code> and <code>Map</code>.
 <p>
 Note: the <code>Map</code> that gets passed as a parameter to this method could be <code>null</code>,
 in which case all listeners will be cleaned up.
 </p>

 <p>
 Users are advised to call <a href="../../../../../com/here/android/mpa/mapping/MapView.html#setMap-com.here.android.mpa.mapping.Map-"><code>MapView.setMap(Map)</code></a> with <code>null</code> to detach the map only after
 the <a href="../../../../../com/here/android/mpa/mapping/MapView.html#onPause--"><code>MapView.onPause()</code></a> is called to avoid memory leaks.
 </p>

 <p>
 Calling this method with <code>null</code>, allows map resources to be released in case there are
 no more references on <code>Map</code> object. Otherwise map resources will not be released.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>aMap</code> - A <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> to associate with the <code>MapView</code> (could be <code>null</code>)</dd>
</dl>
</li>
</ul>
<a name="getMapGesture--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapGesture</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping">MapGesture</a> getMapGesture()</pre>
<div class="block">Gets the <code>MapGesture</code> representing the current gesture handler for the <code>MapView</code>.
 Applications can intercept this object and override the default events.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getMapGesture</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>MapGesture</code></dd>
</dl>
</li>
</ul>
<a name="addIconGestureListener-com.here.android.mpa.mapping.MapView.IconGestureListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addIconGestureListener</h4>
<pre>public void addIconGestureListener(<a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping">MapView.IconGestureListener</a> listener)</pre>
<div class="block">Adds a <a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping"><code>MapView.IconGestureListener</code></a> to listen for icon events.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>IconGestureListener</code> to add to the <code>MapView</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#removeIconGestureListener-com.here.android.mpa.mapping.MapView.IconGestureListener-"><code>MapView.removeIconGestureListener(IconGestureListener)</code></a></dd>
</dl>
</li>
</ul>
<a name="removeIconGestureListener-com.here.android.mpa.mapping.MapView.IconGestureListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeIconGestureListener</h4>
<pre>public void removeIconGestureListener(<a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping">MapView.IconGestureListener</a> listener)</pre>
<div class="block">Removes an existing <a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping"><code>MapView.IconGestureListener</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>IconGestureListener</code> to remove from the <code>MapView</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#addIconGestureListener-com.here.android.mpa.mapping.MapView.IconGestureListener-"><code>MapView.addIconGestureListener(IconGestureListener)</code></a></dd>
</dl>
</li>
</ul>
<a name="addOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addOnMapRenderListener</h4>
<pre>public void addOnMapRenderListener(<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a> listener)</pre>
<div class="block">Adds a <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a> to listen for map render events.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addOnMapRenderListener</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>OnMapRenderListener</code> to add to the <code>MapView</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#removeOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-"><code>MapView.removeOnMapRenderListener(OnMapRenderListener)</code></a></dd>
</dl>
</li>
</ul>
<a name="removeOnMapRenderListener-com.here.android.mpa.mapping.OnMapRenderListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeOnMapRenderListener</h4>
<pre>public void removeOnMapRenderListener(<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a> listener)</pre>
<div class="block">Removes an existing <a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><code>OnMapRenderListener</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeOnMapRenderListener</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <code>OnMapRenderListener</code> to remove from the <code>MapView</code>.</dd>
</dl>
</li>
</ul>
<a name="onPause--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPause</h4>
<pre>public void onPause()</pre>
<div class="block">Propagates an activity's <code>onPause()</code> event to the view. Applications can call this
 method within the <code>onPause()</code> method of any activity which has a <code>MapView</code> as
 part of its view hierarchy.

 Note that unlike <a href="../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping"><code>AndroidXMapFragment</code></a>, MapView does not
 automatically handle the pausing and/or resuming of MapEngine. Owner of <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a> is
 responsible to address the handling of <a href="../../../../../com/here/android/mpa/common/MapEngine.html#onPause--"><code>MapEngine.onPause()</code></a> if needed.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html#onPause--"><code>AndroidXMapFragment.onPause()</code></a>, 
<a href="../../../../../com/here/android/mpa/common/MapEngine.html#onPause--"><code>MapEngine.onPause()</code></a></dd>
</dl>
</li>
</ul>
<a name="onResume--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onResume</h4>
<pre>public void onResume()</pre>
<div class="block">Propagates an activity's <code>onResume()</code> event to the view. Applications can call this
 method within the <code>onResume()</code> method of any activity which has a <code>MapView</code> as
 part of its view hierarchy.

 Note that unlike <a href="../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping"><code>AndroidXMapFragment</code></a>, MapView does not
 automatically handle the pausing and/or resuming of MapEngine. Owner of <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a> is
 responsible to address the handling of <a href="../../../../../com/here/android/mpa/common/MapEngine.html#onResume--"><code>MapEngine.onResume()</code></a> if needed.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html#onResume--"><code>AndroidXMapFragment.onResume()</code></a>, 
<a href="../../../../../com/here/android/mpa/common/MapEngine.html#onResume--"><code>MapEngine.onResume()</code></a></dd>
</dl>
</li>
</ul>
<a name="setOnTouchListener-android.view.View.OnTouchListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOnTouchListener</h4>
<pre>public void setOnTouchListener(android.view.View.OnTouchListener listener)</pre>
<div class="block">Sets an <code>OnTouchListener</code> to be invoked whenever a touch event is sent to the
 <code>MapView</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setOnTouchListener</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setOnTouchListener</code> in class <code>android.view.View</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - An <code>OnTouchListener</code> to set for the <code>MapView</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://developer.android.com/reference/android/view/View.OnTouchListener.html" target="_blank">android.view.View.OnTouchListener</a></dd>
</dl>
</li>
</ul>
<a name="setMapMarkerDragListener-com.here.android.mpa.mapping.MapMarker.OnDragListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMapMarkerDragListener</h4>
<pre>public void setMapMarkerDragListener(<a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping">MapMarker.OnDragListener</a> listener)</pre>
<div class="block">Sets a <a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><code>MapMarker.OnDragListener</code></a> to be invoked whenever any <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a> added
 onto a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> that is attached to this <code>MapView</code> is dragged.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setMapMarkerDragListener</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - An <a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><code>MapMarker.OnDragListener</code></a> to set for this <code>MapView</code></dd>
</dl>
</li>
</ul>
<a name="getMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMap</h4>
<pre>public final <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a> getMap()</pre>
<div class="block">Returns the instance of <code>Map</code> associated with this MapView</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getMap</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Map object currently displayed in this view.</dd>
</dl>
</li>
</ul>
<a name="getPositionIndicator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPositionIndicator</h4>
<pre>public <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a> getPositionIndicator()</pre>
<div class="block">Returns the <a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping"><code>PositionIndicator</code></a> instance
 that renders the current position with a marker. The position indicator should be used with
 <a href="../../../../../com/here/android/mpa/common/PositioningManager.html" title="class in com.here.android.mpa.common"><code>PositioningManager</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The <code>PositionIndicator</code></dd>
</dl>
</li>
</ul>
<a name="setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClipRect</h4>
<pre>public void setClipRect(<a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
                        android.graphics.PointF transformCenter)</pre>
<div class="block">Sets a clipping rectangle to the <code>MapView</code>.
 <p>
 The center of the map is not moved and remains at the center of the map control. Only the
 <code>ViewRect</code> specified here will be used for rendering.
 </p>
 <p>
 Note that the size of the map remains the same as the size of the map control.
 </p>
 <p>
 The clipping rectangle (and the view rectangle) is reset to full-screen upon screen rotation
 or upon recreating the screen.
 </p>
 <p>
 Moreover, setting the clipping rectangle will reset the view rectangle to full-screen.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setClipRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - A <code>ViewRect</code> for rendering <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects and similar map-related
            screen elements</dd>
<dd><code>transformCenter</code> - A <code>PointF</code> representing the center coordinate for map transformations such
            as zooming and rotation</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>ViewRect</code> is not valid.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setClipRect-com.here.android.mpa.common.ViewRect-"><code>MapView.setClipRect(ViewRect)</code></a></dd>
</dl>
</li>
</ul>
<a name="setClipRect-com.here.android.mpa.common.ViewRect-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClipRect</h4>
<pre>public void setClipRect(<a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</pre>
<div class="block">Sets a clipping rectangle to the <code>MapView</code>.
 <p>
 Note that the size of the map remains the same as the size of the map control.
 </p>
 <p>
 The clipping rectangle (and the view rectangle) is reset to full-screen upon screen rotation
 or upon recreating the screen.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setClipRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - A <code>ViewRect</code> for rendering <code>MapObject</code> objects and similar map-related
            screen elements</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>ViewRect</code> is not valid.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-"><code>MapView.setClipRect(ViewRect, PointF)</code></a></dd>
</dl>
</li>
</ul>
<a name="getClipRect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClipRect</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> getClipRect()</pre>
<div class="block">Gets the <code>ViewRect</code> representing the clip rectangle for the <code>MapView</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getClipRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The clip rectangle for rendering <code>MapObject</code> objects and similar map-related
         screen elements</dd>
</dl>
</li>
</ul>
<a name="getCopyrightBoundaryRect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightBoundaryRect</h4>
<pre>public android.graphics.Rect getCopyrightBoundaryRect()</pre>
<div class="block">Gets the current rectangle relative to the <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a>'s boundary as a container for the
 HERE copyright logo. <code>null</code> is returned unless a boundary rect has been set previously.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightBoundaryRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The boundary rect (null if not set).</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#getClipRect--"><code>MapView.getClipRect()</code></a>, 
<a href="../../../../../com/here/android/mpa/mapping/MapView.html#setCopyrightBoundaryRect-android.graphics.Rect-"><code>MapView.setCopyrightBoundaryRect(Rect)</code></a></dd>
</dl>
</li>
</ul>
<a name="setCopyrightBoundaryRect-android.graphics.Rect-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCopyrightBoundaryRect</h4>
<pre>public void setCopyrightBoundaryRect(android.graphics.Rect rect)</pre>
<div class="block">Sets a rectangle, in pixels, relative to the top left corner of the <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a>'s
 boundary, for the placement of the HERE copyright logo.
 <p>
 If the specified rectangle is not contained completely within the current visible map area,
 their area of intersection will be used instead of the specified rectangle's area. If the
 specified rectangle is outside the current visible map area, it will be ignored. The
 copyright logo and copyright margin must fit into the rectangle, otherwise specified
 rectangle will be ignored.
 </p>
 <p>
 The copyright boundary rectangle is reset upon screen rotation or upon screen re-creation.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setCopyrightBoundaryRect</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - A <code>Rect</code> representing the rectangular container to position the copyright
            logo. Use <code>null</code> <code>Rect</code> to reset the boundary container.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>Rect</code> supplied is invalid</dd>
</dl>
</li>
</ul>
<a name="setCopyrightMargin-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCopyrightMargin</h4>
<pre>public void setCopyrightMargin(int margin)</pre>
<div class="block">Sets a margin, in pixels, for the HERE copyright logo, an offset from the edge of the visible
 map area (or copyright boundary rect, if used) to the edge of the logo (depending on the
 placement).

 The logo and margin must fit into the visible area (or copyright bounding rect). Therefore,
 the maximum allowed margin value is: (bounding rect dimension - logo size) / 2.

 The default (minimum) margin value is 1/2 of logo width. A margin value smaller than the
 default will not be saved.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setCopyrightMargin</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>margin</code> - Desired offset from the edge of the <code>MapView</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapView.html#setCopyrightBoundaryRect-android.graphics.Rect-"><code>MapView.setCopyrightBoundaryRect(Rect)</code></a></dd>
</dl>
</li>
</ul>
<a name="getCopyrightMargin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightMargin</h4>
<pre>public int getCopyrightMargin()</pre>
<div class="block">Gets the current margin, in pixels, for the HERE copyright logo, an offset from the edge of
 the visible map area to the edge of the logo.
 <p>
 This method only returns a valid value once a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> has been set to this view.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightMargin</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The current offset from the edge of the <code>MapView</code></dd>
</dl>
</li>
</ul>
<a name="getCopyrightLogoWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightLogoWidth</h4>
<pre>public int getCopyrightLogoWidth()</pre>
<div class="block">Gets the width of the copyright logo.
 <p>
 This method only returns a valid value once a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> has been set to this view.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightLogoWidth</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The width of the copyright logo in pixels. Returns -1 if unavailable.</dd>
</dl>
</li>
</ul>
<a name="getCopyrightLogoHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightLogoHeight</h4>
<pre>public int getCopyrightLogoHeight()</pre>
<div class="block">Gets the height of the copyright logo.
 <p>
 This method only returns a valid value once a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> has been set to this view.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightLogoHeight</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The height of the copyright logo in pixels. Returns -1 if unavailable.</dd>
</dl>
</li>
</ul>
<a name="setCopyrightLogoPosition-com.here.android.mpa.common.CopyrightLogoPosition-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCopyrightLogoPosition</h4>
<pre>public void setCopyrightLogoPosition(<a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a> position)</pre>
<div class="block">Sets a position for the HERE copyright logo. The current default is to place the logo at the
 center-bottom of the visible map view area.
 <p>
 Note: after the logo's position is set, it stays effective even when the screen is rotated or
 re-created.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setCopyrightLogoPosition</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - A <a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common"><code>CopyrightLogoPosition</code></a>
            value representing the desired placement of the HERE copyright logo with respect
            to the visible map view area</dd>
</dl>
</li>
</ul>
<a name="getCopyrightLogoPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightLogoPosition</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/CopyrightLogoPosition.html" title="enum in com.here.android.mpa.common">CopyrightLogoPosition</a> getCopyrightLogoPosition()</pre>
<div class="block">Gets the current position for the HERE copyright logo.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getCopyrightLogoPosition</code> in interface <code>com.nokia.maps.MapUi</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The position of the logo.</dd>
</dl>
</li>
</ul>
<a name="getCopyrightLogoVisibility--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCopyrightLogoVisibility</h4>
<pre>public int getCopyrightLogoVisibility()</pre>
<div class="block">Gets the visibility of the HERE copyright logo. Copyright logo is defaulted to be visible.
 Once changed, the visibility of logo stays effective even when the screen is rotated or
 re-created.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>One of the two values <code>View.VISIBLE</code> or <code>View.INVISIBLE</code> to represent the
         copyright logo's visibility.</dd>
</dl>
</li>
</ul>
<a name="getScreenCapture-com.here.android.mpa.common.OnScreenCaptureListener-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getScreenCapture</h4>
<pre>public void getScreenCapture(<a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common">OnScreenCaptureListener</a> listener)</pre>
<div class="block">Gets the full screen bitmap for the <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a>. This API can be used to capture a screen
 shot of the <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a>. The API is asynchronous and will callback once the operation is
 completed via <a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common"><code>OnScreenCaptureListener</code></a>. Note the <a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><code>MapView</code></a> must be visible to
 create the screen capture.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>listener</code> - A <a href="../../../../../com/here/android/mpa/common/OnScreenCaptureListener.html" title="interface in com.here.android.mpa.common"><code>OnScreenCaptureListener</code></a> to callback on screen capture completion.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/mapping/MapTransitLayer.Mode.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/MapView.html" target="_top">Frames</a></li>
<li><a href="MapView.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.class.summary">Nested</a> | </li>
<li><a href="#field.summary">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li><a href="#field.detail">Field</a> | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
